Class | Organization
In: | app/models/organization.rb
Parent: | ActiveRecord::Base

Clase para organismos a los que pertenecen los Event

### Methods

department set_type

### Public Instance methods

department()

Si es departamento, devuelve el mismo, si es organizacion, devuelve su parent

[Source]

        # File app/models/organization.rb, line 28
    28:   def department
    29:     if self.is_a?(Department)
    30:       self
    31:     elsif self.is_a?(Entity)
    32:       self.parent
    33:     end
    34:   end

set_type()

     Clasifica el organismo como Departamento o Entidad en funcion de si es

de primer nivel o de segundo

[Source]

        # File app/models/organization.rb, line 19
    19:   def set_type
    20:     if self.parent_id == nil
    21:       self.type = "Department"
    22:     else
    23:       self.type = "Entity"
    24:     end
    25:   end

[Validate]